Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# server.h Example File
network/fortuneserver/server.h

        #ifndef SERVER_H
        #define SERVER_H

        #include <QDialog>

        class QLabel;
        class QPushButton;
        class QTcpServer;

        class Server : public QDialog
        {
            Q_OBJECT

        public:
            Server(QWidget *parent = 0);

        private slots:
            void sendFortune();

        private:
            QLabel *statusLabel;
            QPushButton *quitButton;
            QTcpServer *tcpServer;
            QStringList fortunes;
        };

        #endif